Bulk save + reorder questions
curl --request PUT \
--url https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/questions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"questions": [
{
"question": "<string>",
"interview_instructions": "<string>"
}
]
}
'import requests
url = "https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/questions"
payload = { "questions": [
{
"question": "<string>",
"interview_instructions": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({questions: [{question: '<string>', interview_instructions: '<string>'}]})
};
fetch('https://api.talentunveiled.com/api/v2/jobs/{job_id}/interview-config/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"questions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"answer_format": "closed",
"question": "<string>",
"sequence_number": 123,
"is_active": true,
"interview_instructions": "<string>"
}
]
}[
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
][
{
"code": "error",
"detail": "<string>",
"attr": "<string>"
}
]Interview Questions
Bulk save + reorder questions
GET/POST/PUT /jobs//interview-config/questions.
PUT is bulk save-and-reorder: array order becomes the display order and questions omitted from the body are soft-deleted.
PUT
/
jobs
/
{job_id}
/
interview-config
/
questions
Bulk save + reorder questions
⌘I

